%define	name	wmcpuload
%define version 1.1.0.pre2
%define release 1mdk

Summary: WindowMaker dock application that displays CPU usage
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Graphical desktop/WindowMaker
Source:		%name-%{version}.tar.bz2
URL:		http://www.sh.rim.or.jp/~ssato/dockapp/index.shtml
Requires:	X11-libs, xpm
BuildRequires:	X11-devel, xpm-devel, ImageMagick
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
A dockapp to monitor cpu load for WindowMaker. It works fine with AfterStep
and BlackBox and has SMP support.

%prep

%setup -q
%configure --prefix %{_prefix}

%build
%make

%install
%makeinstall
#[ -d %buildroot ] && rm -rf %buildroot

#install -m 755 -d %buildroot%prefix/bin
#install -m 755 src/%name %buildroot%prefix/bin/

#install -m 755 -d %buildroot%_mandir/man1
#install -m 755 doc/%name.1 %buildroot%_mandir/man1/

install -m 755 -d %buildroot%{_miconsdir}
install -m 755 -d %buildroot%{_iconsdir}
install -m 755 -d %buildroot%{_liconsdir}

convert icons/wmcpuload-16x16.xpm $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png
convert icons/wmcpuload-32x32.xpm $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
convert icons/wmcpuload-48x48.xpm $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png


install -m 755 -d %buildroot%{_menudir}
cat << EOF > %buildroot%{_menudir}/%{name}
?package(%{name}):command="%{_prefix}/bin/%{name}" icon="%{name}.png"\\
                  needs="X11" section="Applications/Monitoring" \\
                  title="WmCPULoad" longtitle="CPU monitoring in a dockapp"
EOF


%clean
[ -z %buildroot ] || {
    rm -rf %buildroot
}


%post
%{update_menus}


%postun
%{clean_menus}


%files
%defattr (-,root,root)
%doc AUTHORS INSTALL NEWS COPYING README ChangeLog TODO THANKS
%{_prefix}/bin/*
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_menudir}/%{name}
%{_mandir}/man1/*

%changelog
* Sat Jul 17 2004 Franck Villaume <fvill@freesurf.fr> 1.1.0.pre2-1mdk
- new version 1.1.0.pre2
- fix spec file

* Thu Apr 10 2003 HA Quc-Vit <viet@mandrakesoft.com> 1.0.1-1mdk
- 1.0.1
- icons are converted from the archive instead of statically embedded

* Mon Jul 15 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-1mdk
- icons are now separate from sources
- 1.0.0

* Mon Mar 27 2002 HA Quc-Vit <viet@mandrakesoft.com> 0.9.0-1mdk
- New revision.
- xpm icons converted to png.
- workaround for installed names (binary and manpage).

* Mon Feb 11 2002 HA Quc-Vit <viet@mandrakesoft.com> 0.8.1-1mdk
- New revision.
- xpm icons converted to png (new MdK policy).

* Thu Jan 03 2002 HA Quc-Vit <viet@mandrakesoft.com> 0.8.0-2mdk
- The forgotten manpage has been added.

* Thu Jan 03 2002 HA Quc-Vit <viet@mandrakesoft.com> 0.8.0-1mdk
- New revision. Adds SMP support and tons of new options.
  See the README file.

* Wed Sep 19 2001 HA Quc-Vit <viet@mandrakesoft.com> 0.7.1-1mdk
- New revision. Fixes a bug with event handling with enlightenment.
  Fixes a bug with blended-color in 2/8/16 depth.
  Adds a few options. See the Changelog file.

* Mon Aug 13 2001 HA Quc-Vit <viet@mandrakesoft.com> 0.6.0-1mdk
- New revision : libdockapp is integrated now

* Wed Jul 25 2001 HA Quc-Vit <viet@mandrakesoft.com> 0.5.6-1mdk
- New revision, icons are now integrated :o)

* Tue Jun 19 2001 HA Quc-Vit <viet@mandrakesoft.com> 0.5.0-2mdk
- Added icons from the author Seiichi SATO <sato@cvs-net.co.jp>

* Tue Jun 05 2001 HA Quc-Vit <viet@mandrakesoft.com> 0.5.0-1mdk
- New revision
- wrong commentaries fixed and my apologies to the author
  Seiichi SATO <sato@cvs-net.co.jp>

* Fri Jun 01 2001 HA Quc-Vit <viet@mandrakesoft.com> 0.1.1-1mdk
- Initial packaging.
